Summary: Dynamically creates symbolic links to disk/partition names.
Name: devlabel 
Version: 0.48.01
Release: 2tr
Group: Trustix Official
Source: http://linux.dell.com/devlabel/devlabel-%{version}.tar.gz 
License: GPL 
Buildroot: /var/tmp/%{name}-root

%description
Devlabel is a program which dynamically creates symbolic links to disk/partition 
names. It uses the disk's and/or partition's unique identifiers to keep the symlink
pointed to the correct location even if the underlying partition's name has changed. 

%prep
%setup -q

%build
gcc $RPM_OPT_FLAGS -o scsi_unique_id scsi_unique_id.c
gcc $RPM_OPT_FLAGS -o partition_uuid -luuid partition_uuid.c

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/{sbin,usr/bin,usr/share/man/man8,etc/sysconfig,etc/sysconfig/devlabel.d}
install -m 755 devlabel $RPM_BUILD_ROOT/sbin/devlabel
install -m 755 scsi_unique_id $RPM_BUILD_ROOT/usr/bin
install -m 755 partition_uuid $RPM_BUILD_ROOT/usr/bin
install -m 644 devlabel.8.gz $RPM_BUILD_ROOT/usr/share/man/man8
install -m 644 sysconfig.devlabel $RPM_BUILD_ROOT/etc/sysconfig/devlabel
install -m 644 ignore_list $RPM_BUILD_ROOT/etc/sysconfig/devlabel.d
install -m 644 ignore_list $RPM_BUILD_ROOT/etc/sysconfig/devlabel.d/proc_partitions

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,0755)
/sbin/devlabel
/usr/bin/scsi_unique_id
/usr/bin/partition_uuid
/etc/sysconfig/devlabel.d
%config(noreplace) /etc/sysconfig/devlabel
%{_mandir}/man8/devlabel.8*
%doc AUTHORS COPYING *.patch


%changelog
* Mon Feb 26 2007 Nived Gopalan <nived at trustix dot org>
- Rebuilt

* Mon Sep  5 2005 Nived Gopalan <nived at comodo dot com> 0.48.01-1tr 
- Initial build for TSL-3.0
